<template>
  <div id="app">
    <input
      type="text"
      class="name-input"
      placeholder="Escribe tu mensaje aquí"
      v-model="message"
    />

    <button v-on:click="sendMessage()" class="cancel-edit">Enviar</button>
  </div>
</template>

<script>
export default {
  name: 'SendMessages',
  props: {},
  data() {
    return {
      message: ''
    }
  },

  methods: {
    sendMessage() {
      this.$emit('send-new-message-event', this.message)
    }
  }
}
</script>

<style scoped></style>
